using UnityEngine;

public sealed class InterfaceController : MonoBehaviour {

    private static InterfaceController instance;
    private const string path = "Prefabs/InterfaceController";

    public static void Init() {
        if (instance == null) {
            Instantiate(Resources.Load<InterfaceController>(path));
        }
    }

	private void Awake () {
        if (instance == null) {
            instance = this;
            DontDestroyOnLoad(gameObject);
        } else {
            if (instance != this)
                Destroy(this.gameObject);
        }
	}
}
